@import "../../../_mixins.scss";

.provider-documentation-disable {
  opacity: 0.5;
  pointer-events: none;
}
.provider-documentation {
  display: flex;
  flex-direction: column;
  background: var(--tile-bg);
  border-radius: 2px;

  .documentation__header {
    display: flex;
    flex-direction: row;
    border-bottom: 1px solid var(--base-border);
    cursor: pointer;
    font-family: var(--font-first);
    font-size: var(--font-s);
    font-weight: 600;
    color: #333333;

    .documentation__header-link {
      padding: 10px;
      min-width: 150px;
      text-align: center;
    }
    .documentation__header-link--active {
      border-bottom: 2px solid var(--primary);
    }
  }

  .documentation-container {
    display: flex;
    flex-direction: column;

    .search-add {
      display: flex;
      padding: 0px 15px;
      .actions-search {
        //height: var(--input-height);
        margin: 0 0 0 10px;
        width: 400px;
        padding: 0px;
      }
      .right-btn-container{
        margin-right: 10px;
        .square-btn {
          margin: 10px 0 0 5px !important;
        }
        img {
          margin-right: 5px;
        }
      }
      span.field__error {
        display: none !important;
      }
    }
    .site-circuit-btn {
      max-width: 150px;
    }
    .export-filter {
      max-width: 90px;
    }
    .add-new {
      width: 250px;
      margin: 10px 25px 0 0px;
      margin-left: auto;
    }

    .add-new-escalation {
      //width: 170px;
      margin: 15px 25px 0 0;
      margin-left: auto;
    }

    .header-buttons {
      width: 125px;
      margin: 10px;
      margin-right: auto;
    }
    .notes-list {
      margin: 10px;

      .table-container
        .table-container__table
        .ReactTable
        .rt-table
        .rt-thead.-header:first-child {
        padding-left: 0;
      }
      h4.table-heading {
        font-weight: 600;
        margin: 5px 15px;
      }
    }
    .outside-escalation {
      margin-top: 30px;
    }
  }

  .save-network-note {
    margin: 0 0 20px 20px;
  }
  .network-note {
    textarea {
      height: 220px !important;
    }
  }
}

.add-customer-note {
  .add {
    .field__label-required::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
      position: absolute;
    }
    width: 100%;
    .flagged {
      margin-top: 20px;
    }
    .select-type {
      .select-type-error {
        color: #f00;
      }
    }
  }

  .add-escalation {
    .select-type {
      .field__label-required::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-xs);
        position: absolute;
      }
    }
    width: 100%;
    display: flex;
    flex-wrap: wrap;

    .flagged {
      margin-top: 20px;
    }
    .select-type {
      .select-type-error {
        color: #f00;
      }
    }
  }
  .field-section div.row.field__input textarea {
    height: 145px !important;
  }
}
.view-contacts {
  .field-section div.row.field__label .field__label-label {
    color: #222222b3;
  }
}

.documentation {
  .distribution-list {
    display: flex;
    flex-direction: column;

    .react-tagsinput-tag {
      background-color: #ffffff;
      border-radius: 2px;
      border: 1px solid var(--primary);
      color: #000000;
    }

    .react-tagsinput-input {
      width: 250px;
    }

    .react-tagsinput--focused {
      border: 1px solid var(--primary);
    }

    .multiple-email-eror {
      color: #f00;
    }
  }
  .distribution-list__save {
    width: 100px;
    margin: 20px;
  }

  .report-download {
    height: var(--input-height);
    margin: 10px;

    img {
      height: 20px;
      margin-right: 10px;
    }

    &:hover,
    &:active,
    &:focus {
      img {
        filter: invert(75%);
      }
    }
  }
}

.add-circuit-info {
  .add-circuit__body {
    width: 100%;
    display: flex;
    flex-wrap: wrap;
    .flagged {
      margin-top: 20px;
    }
    .lao-check {
      padding: 0;
    }
    .select-type {
      .select-type-error {
        color: #f00;
      }
      .field__label-required::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-xs);
        position: absolute;
      }
    }
  }
}

.docuentaion-documents {
  display: flex;
  flex-direction: column;
  width: 100%;
  border: 1px solid #ccc;
  padding: 30px;
  font-weight: 500;
  .drop-box-upload {
    padding: 5px 20px 0 10px;
    width: fit-content;
    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
  }
  .document {
    cursor: pointer;
  }
  .back {
    cursor: pointer;
    img {
      width: 20px;
    }
  }
  .folder img,
  .file img {
    padding: 5px 10px 5px 0px;
  }

  .folder {
    cursor: pointer;

    &:hover,
    &:active,
    &:focus {
      font-weight: 600;
    }
  }

  .file {
    cursor: pointer;

    &:hover,
    &:active,
    &:focus {
      font-weight: 600;
      background: url(../assets/icons/download.png) scroll no-repeat right 10px
        center !important;
    }
  }

  .document-label-details.action-item {
    height: 15px;
    margin-top: 15px;
    font-family: Montserrat;
    font-size: var(--font-xs);
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1.25;
    letter-spacing: normal;
    text-align: left;
    color: #db7c20;
  
    &:hover {
      cursor: pointer;
    }
  }
}

.docuentaion-breadcrumbs {
  display: flex;
  width: 100%;
  padding-bottom: 15px;
  font-weight: 500;

  .document {
    cursor: pointer;
  }
  .back {
    cursor: pointer;
    width: max-content;
  }
  .folder img,
  .file img {
    padding: px 10px 5px 0px;
  }

  .root {
    padding: 3px 5px 2px 0px;
    cursor: pointer;
    font-size: medium;

    img {
      width: 27px;
      margin-top: -8px;
    }
  }
  .folder {
    cursor: pointer;
    padding: 3px;

    &:hover,
    &:active,
    &:focus {
      font-weight: 600;
      text-decoration: underline;
    }
  }

  .file {
    cursor: pointer;

    &:hover,
    &:active,
    &:focus {
      font-weight: 600;
    }
  }
}

.view-device-btn {
  padding: 0 5px;
}
.lao-section {
  display: flex;
  align-items: center;
}

.view-lao {
  margin: 0 35px 0px auto;

  .view-lao-btn {
    margin: -20px 0px auto 57px;
  }
}

.only-view-lao {
  float: left;
  padding: 11px 0px;
}

input#attachment {
  line-height: 1;
  padding-top: 10px;
}

.band-width-section {
  display: flex;

  .field-section {
    padding: 0;
  }
}

.sites__filters {
  display: flex;
  flex-direction: row;
  padding: 10px 0 5px 15px;
  .applied-filter {
    margin-right: 10px;
    margin-top: 5px;
  }

  .sites__filter {
    background: var(--primary);
    padding: 3px 3px 3px 10px;
    margin: 2px;
    border-radius: 15px;
    display: inline-block;
    flex-direction: row;
    label {
      color: white;
    }
    span {
      min-width: 8px;
      padding: 5px 15px 5px 5px;
      position: relative;
      cursor: pointer;
      &::before,
      &::after {
        display: block;
        content: " ";
        width: 10px;
        height: 2px;
        background: white;
        position: absolute;
        top: 12px;
        right: 4px;
      }
      &::after {
        transform: rotate(45deg);
      }
      &::before {
        transform: rotate(-45deg);
      }
    }
  }
}
.select-file-error {
  color: #f00;
}
